Bug 1820478 - Review Request: php-sebastian-code-unit - Collection of value objects that represent the PHP code units
Summary: Review Request: php-sebastian-code-unit - Collection of value objects that re...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hirotaka Wakabayashi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-03 07:48 UTC by Remi Collet
Modified: 2020-05-09 04:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-09 03:11:56 UTC
Type: ---
hiwkby: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-04-03 07:48:46 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/phpunit/php-sebastian-code-unit.git/plain/php-sebastian-code-unit.spec?id=937833d606c97b068d6bfd48cd4cd426049fe155
SRPM URL: http://rpms.remirepo.net/SRPMS/php-sebastian-code-unit-1.0.0-1.remi.src.rpm
Description: 
Collection of value objects that represent the PHP code units.

Autoloader: /usr/share/php/SebastianBergmann/CodeUnit/autoload.php



Fedora Account System Username: remi


---


New dependency of PHPUnit 9.1

Comment 1 Hirotaka Wakabayashi 2020-04-20 14:23:46 UTC
Here is a successful Koji Scratch Build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=43562902

Comment 2 Hirotaka Wakabayashi 2020-04-23 13:54:18 UTC
Hello Remi, 

Package approved.

Best,
Hirotaka Wakabayashi

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 44 files have unknown license. Detailed
     output of licensecheck in /home/vagrant/FedoraReview/1820478-php-
     sebastian-code-unit/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/php/SebastianBergmann(php-phpunit-php-file-iterator3, php-
     sebastian-global-state, php-sebastian-resource-operations2, php-
     phpunit-git, php-sebastian-recursion-context3, php-phpunit-php-token-
     stream3, php-phpunit-php-timer3, php-phpunit-Version, php-sebastian-
     type2, php-sebastian-diff3, php-sebastian-recursion-context, php-
     phpunit-php-token-stream4, php-sebastian-object-reflector, php-
     sebastian-environment5, php-sebastian-global-state2, php-sebastian-
     object-reflector2, php-phpunit-FinderFacade, php-phpunit-diff, php-
     sebastian-resource-operations3, php-phpunit-php-text-template2, php-
     sebastian-diff2, php-phpunit-php-token-stream2, php-sebastian-finder-
     facade2, php-phpunit-environment, php-sebastian-diff4, php-sebastian-
     resource-operations, php-sebastian-environment4, php-sebastian-type,
     php-phpunit-PHPUnit-SkeletonGenerator, php-phpunit-php-timer2, php-
     phpunit-php-invoker3, php-sebastian-code-unit-reverse-lookup, php-
     phpunit-php-invoker2, php-sebastian-code-unit-reverse-lookup2, php-
     sebastian-environment3, php-sebastian-recursion-context4, php-phpunit-
     php-file-iterator2, php-sebastian-version3)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[!]: Run phpci static analyze on all php files.
     Note: phpcompatinfo not found. Install php-bartlett-PHP-CompatInfo
     package to get a more comprehensive php review.
     See: url: undefined


Rpmlint
-------
Checking: php-sebastian-code-unit-1.0.0-1.fc33.noarch.rpm
          php-sebastian-code-unit-1.0.0-1.fc33.src.rpm
php-sebastian-code-unit.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-sebastian-code-unit.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-sebastian-code-unit.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-sebastian-code-unit.src: W: spelling-error %description -l en_US usr -> use, us, user
php-sebastian-code-unit.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
php-sebastian-code-unit.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-sebastian-code-unit.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Source checksums
----------------
https://github.com/sebastianbergmann/code-unit/archive/8d8f09bd47c75159921e6e84fdef146343962866/php-sebastian-code-unit-1.0.0-8d8f09b.tar.gz :
  CHECKSUM(SHA256) this package     : a382a3d8315bcf2839fa92302d698365cbf5a65eaee00ec516587bc9790370f2
  CHECKSUM(SHA256) upstream package : a382a3d8315bcf2839fa92302d698365cbf5a65eaee00ec516587bc9790370f2


Requires
--------
php-sebastian-code-unit (rpmlib, GLIBC filtered):
    php(language)
    php-composer(fedora/autoloader)
    php-reflection
    php-spl



Provides
--------
php-sebastian-code-unit:
    php-composer(sebastian/code-unit)
    php-sebastian-code-unit



Generated by fedora-review 0.7.5 (cd5b7df) last change: 2020-03-19
Command line :try-fedora-review -b 1820478
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, PHP
Disabled plugins: Ocaml, SugarActivity, C/C++, Haskell, Python, Java, fonts, R, Ruby, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 Fedora Update System 2020-04-23 14:40:05 UTC
FEDORA-2020-6848958f72 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6848958f72

Comment 5 Fedora Update System 2020-04-23 14:40:05 UTC
FEDORA-2020-50b45ebff6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-50b45ebff6

Comment 6 Fedora Update System 2020-04-23 20:46:16 UTC
FEDORA-2020-50b45ebff6 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-50b45ebff6 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-50b45ebff6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-25 04:18:45 UTC
FEDORA-2020-6848958f72 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-6848958f72 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6848958f72

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-28 03:23:41 UTC
FEDORA-2020-d716db29e2 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d716db29e2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d716db29e2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-28 03:52:02 UTC
FEDORA-2020-3e6c4cf61e has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3e6c4cf61e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3e6c4cf61e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-05-01 05:03:22 UTC
FEDORA-2020-1d4cc233b8 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-1d4cc233b8 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1d4cc233b8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-05-01 19:22:06 UTC
FEDORA-2020-4a7ecc5627 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-4a7ecc5627 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4a7ecc5627

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-05-09 03:11:56 UTC
FEDORA-2020-4a7ecc5627 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-05-09 04:12:09 UTC
FEDORA-2020-1d4cc233b8 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.